std::atomic_bool Struct Reference
Atomics
Inheritance diagram for std::atomic_bool:
[legend]

## Public Member Functions

| atomic_bool (const atomic_bool &)=delete
constexpr | atomic_bool (bool __i) noexcept
bool | compare_exchange_strong (bool &__i1, bool __i2, memory_order __m1, memory_order __m2) noexcept
bool | compare_exchange_strong (bool &__i1, bool __i2, memory_order __m1, memory_order __m2) volatilenoexcept
bool | compare_exchange_strong (bool &__i1, bool __i2, memory_order __m=memory_order_seq_cst) noexcept
bool | compare_exchange_strong (bool &__i1, bool __i2, memory_order __m=memory_order_seq_cst) volatilenoexcept
bool | compare_exchange_weak (bool &__i1, bool __i2, memory_order __m1, memory_order __m2) noexcept
bool | compare_exchange_weak (bool &__i1, bool __i2, memory_order __m1, memory_order __m2) volatilenoexcept
bool | compare_exchange_weak (bool &__i1, bool __i2, memory_order __m=memory_order_seq_cst) noexcept
bool | compare_exchange_weak (bool &__i1, bool __i2, memory_order __m=memory_order_seq_cst) volatilenoexcept
bool | exchange (bool __i, memory_order __m=memory_order_seq_cst) noexcept
bool | exchange (bool __i, memory_order __m=memory_order_seq_cst) volatilenoexcept
bool | is_lock_free () const noexcept
bool | is_lock_free () const volatilenoexcept
bool | load (memory_order __m=memory_order_seq_cst) const noexcept
bool | load (memory_order __m=memory_order_seq_cst) const volatilenoexcept
| operator bool () const noexcept
| operator bool () const volatilenoexcept
atomic_bool & | operator= (const atomic_bool &)=delete
atomic_bool & | operator= (const atomic_bool &) volatile=delete
bool | operator= (bool __i) noexcept
bool | operator= (bool __i) volatilenoexcept
void | store (bool __i, memory_order __m=memory_order_seq_cst) noexcept
void | store (bool __i, memory_order __m=memory_order_seq_cst) volatilenoexcept

## Detailed Description

atomic_bool

Definition at line 54 of file atomic.

The documentation for this struct was generated from the following file:

- atomic